.page-header {
  background-image: url("../../dist/img/header.png");
  background-position: center;
  background-size: cover;
  padding-bottom: 459px;
 // width: 100%;
  position: relative;
}

%list-clear {
  padding-left: 0;
  margin: 0;
  list-style: none;
}

.page-header__navigation {
  display: flex;
  justify-content: center;
  padding-top: 31px;
  @media all and (min-width: 481px) and (max-width: 992px) {
    flex-wrap: wrap;
    background-color: $color-bg-menu;
  }
  @media all and (min-width: 320px) and (max-width: 480px) {
    background-color: $color-bg-menu;
    padding-bottom: 32px;
  }
}

.page-header__navigation {
  & .container {
    width: 1200px;
    display: flex;
    align-items: center;
    justify-content: end;
    margin-left: 0;
    margin-right: 0;
    @media all and (min-width: 481px) and (max-width: 992px) {
      flex-wrap: wrap;
      background-color: $color-bg-menu;
      width: 768px;
    }
    @media all and (min-width: 320px) and (max-width: 480px) {
      width: 320px;
    }
  }
}

.page-header__nav {
  @media all and (min-width: 481px) and (max-width: 992px) {
    order: 1;
    width: 100%;
  }
  @media all and (min-width: 320px) and (max-width: 480px) {
    order: 1;
    position: relative;
  }
}

//LOGO

.logo {
  display: flex;
  margin-right: auto;

  &__img {
    background-image: url("../../dist/img/Logo1.png");
    width: 43px;
    height: 41px;

    &:hover {
      background-image: url("../../dist/img/logo-hover1.png");
    }
  }
  &__title {
    color: $color-menu;
    text-transform: uppercase;
    font-size: 24px;
    line-height: 16px;
    font-weight: 700;
    margin-left: 17px;
    font-family: $secondary-font;

    &:hover {
      color: $color-text-light;
    }

    @media all and (min-width: 320px) and (max-width: 480px) {
      display: none;
    }
  }
}

//MENU



.nav__list {
  display: flex;
  @extend %list-clear;
  margin-left: auto;

  @media all and (min-width: 481px) and (max-width: 992px) {
    display: flex;
    margin-top: 23px;
    margin-bottom: 17px;
  }
  @media all and (min-width: 320px) and (max-width: 480px) {
    
    display: none;
    flex-direction: column;
    position: absolute;
    right: 0;
    top: 50px;
    width: 290px;
    background-color: rgba(51, 51, 51, 1);
    padding-bottom: 14px;
  
    &.visible {

      display: block;
      
      }
  }
}

.nav__item {
  margin-right: 48px;
  display: flex;
  &:last-child {
    margin-right: 0;
  }
  @media all and (min-width: 481px) and (max-width: 992px) {
    flex-grow: 1;
    text-align: center;
    margin-right: 0;
  }
  @media all and (min-width: 320px) and (max-width: 480px) {
    width: 100%;
    border-bottom: 1px solid rgb(114, 112, 112);
  }
}

.nav__link {
  font-family: $main-font;
  font-weight: 700;
  font-size: 16px;
  line-height: 17px;
  color: $color-menu;

  &:hover {
    color: $color-text-light;
  }

  @media all and (min-width: 320px) and (max-width: 480px) {
    font-size: 26px;
    line-height: 26px;
    font-weight: 400;
    color: $color-text-light;
    padding-top: 25px;
    padding-bottom: 21px;
    padding-left: 35px;
    width: 100%;


    &:hover {
      color: $color-menu;
      border-left: 8px solid $color-menu;
    }
  }

}

//MENU BUTTON

.nav__btn {

display: none;

@media all and (min-width: 320px) and (max-width: 480px) {
  display: block;
}


  width: 25px;
  height: 25px;
  position: relative;


    &::after {
  content: "";
  position: absolute;
  display: block;
  width: 25px;
  height: 10px;
  border-top: 2px solid #fff;
  border-bottom: 2px solid #fff;
  top: 50%;
    }

  &::before {
    content: "";
  position: absolute;
  display: block;
  width: 15px;
  height: 2px;
  background-color: #fff;
  top: 5px;
  right: 0;
  }


}

.show {
  &::before,
  &::after {
    position: absolute;
    left: 50%;
    top: 10px;
    content: " ";
    height: 27px;
    width: 2px;
    background-color: #fff;
    top: 0;
  }
  &:before {
    transform: rotate(45deg);
  }
  &:after {
    transform: rotate(-45deg);
  }
}

//BUTTON BUY
.page-header__btn {
  background-color: $color-menu;
  color: $color-text-light;
  padding: 11px 20px;
  border-radius: 40px;
  margin-left: 48px;
  font-family: $main-font;
  font-weight: 700;
  font-size: 16px;
  line-height: 17px;

  &:hover {
    background-color: $color-text-light;
    color: $color-text-dark;
  }

  @media all and (min-width: 320px) and (max-width: 480px) {
    margin-left: 0;
    margin-right: 51px;
  }
}

//TITLES

.page-header__title {
  color: $color-text-light;
  font-family: $main-font;
  font-weight: 700;
  font-size: 82px;
  line-height: 82px;
  margin-top: 115px;
  text-align: center;

  @media all and (min-width: 481px) and (max-width: 992px) {
    font-size: 72px;
    line-height: 72px;
    margin-top: 69px;
  }
  @media all and (min-width: 320px) and (max-width: 480px) {
    font-size: 48px;
    line-height: 48px;
    margin-top: 50px;
  }
}

.page-header__subtitles {
  color: $color-menu;
  font-family: $secondary-font;
  font-size: 30px;
  line-height: 30px;
  margin-top: 19px;
  text-align: center;

  @media all and (min-width: 481px) and (max-width: 992px) {
    font-size: 24px;
    line-height: 24px;
  }
  @media all and (min-width: 320px) and (max-width: 480px) {
    font-size: 18px;
    line-height: 24px;
  }
}

.page-header__note {
  color: $color-text-dark;
  font-family: $main-font;
  font-size: 16px;
  line-height: 16px;
  margin-top: 19px;
  text-align: center;

  @media all and (min-width: 481px) and (max-width: 992px) {
    font-size: 14px;
    line-height: 14px;
  }
  @media all and (min-width: 320px) and (max-width: 480px) {
    margin-top: 14px;
  }
}

//BOTTOM BUTTON

.download {
  position: absolute;
  left: calc(100% / 2 - 390px / 2);
  bottom: -70px;

  @media all and (min-width: 320px) and (max-width: 480px) {
    left: calc(100% / 2 - 290px / 2);
    bottom: -60px;
  }

  &__btn {
    color: $color-text-light;
    font-family: $main-font;
    font-weight: 700;
    font-size: 21px;
    line-height: 22px;
    width: 390px;
    padding-top: 23px;
    padding-bottom: 23px;
    background-color: $color-menu;
    border-radius: 40px;
    border-color: $color-menu;

    @media all and (min-width: 320px) and (max-width: 480px) {
      font-size: 18px;
      line-height: 20px;
      padding-top: 15px;
      padding-bottom: 15px;
      width: 290px;
    }

    &:hover {
      background-color: #fff;
      color: $color-menu;
      border: 2px solid rgba(141, 129, 172, 1);
    }
  }

  &__title {
    font-family: $main-font;
    font-size: 14px;
    line-height: 15px;
    text-align: center;
    color: $color-text-dark;
    margin-top: 19px;
  }
}
